{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer bg-blue c-white">
            <h3 class="mb-5">
                {% if not category and not query %}
                    {{ observations|length }} results found
                {% elif category %}
                    Search for category "{{ category }}" - {{ observations|length }} results found
                {% else %}
                    Search for "{{ query }}" - {{ observations|length }} results found
                {% endif %}
            </h3>
            <div class="row g-3">
                <div class="col-xs-12 col-lg-8">
                    <div class="row">
                        {% for observation, observation_image in paginator_object %}
                            <div class="col-xs-12">
                                <a href="{% url 'frontend:contributor_observation' observation.pk %}"
                                   class="no-link c-white">
                                    <div class="row">
                                        <div class="col-4">
                                            {% if observation_image %}
                                                <img src="{{ observation_image.image.url }}" class="search-image">
                                            {% else %}
                                                <img src="{% static 'images/common/no-image.jpeg' %}"
                                                     class="search-image">
                                            {% endif %}
                                        </div>
                                        <div class="col-8">
                                            <h3 class="fw-600">{{ observation.common_name|default:"Unidentified" }}</h3>
                                            <h6 class="fw-100">{{ observation.created_at|date:"d M Y" }}</h6>
                                            <div>
                                                <p>
                                                    {{ observation.type|title }} - {{ observation.province|title }}
                                                    <br/>
                                                    {% if observation.reporter.username == 'admin' %}
                                                        Reporter : {{ observation.submitter|title }}
                                                    {% else %}
                                                        Reporter : {{ observation.reporter.full_name|title }}
                                                    {% endif %}
                                                </p>
                                                {% if observation.category == 'shark' %}
                                                    <span class="badge rounded-pill bg-success mw-100">Sharks</span>
                                                {% elif observation.category == 'ray' %}
                                                    <span class="badge rounded-pill bg-danger mw-100">Rays & Skate</span>
                                                {% else %}
                                                    <span class="badge rounded-pill bg-purple mw-100">Chimaeras</span>
                                                {% endif %}
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <hr/>
                            </div>
                        {% endfor %}
                    </div>
                    {% if paginator_object.has_other_pages %}
                        <nav aria-label="pagination">
                            <ul class="pagination">
                                {% if paginator_object.has_previous %}
                                    <li class="page-item">
                                        {% if not category and not query %}
                                            <a class="page-link"
                                               href="?&page={{ paginator_object.previous_page_number }}">
                                                &laquo;
                                            </a>
                                        {% elif category %}
                                            <a class="page-link"
                                               href="?category={{ category }}&page={{ paginator_object.previous_page_number }}">
                                                &laquo;
                                            </a>
                                        {% else %}
                                            <a class="page-link"
                                               href="?query={{ query }}&page={{ paginator_object.previous_page_number }}">
                                                &laquo;
                                            </a>
                                        {% endif %}
                                    </li>
                                {% else %}
                                    <li class="page-item disabled">
                                        <span class="page-link">&laquo;</span>
                                    </li>
                                {% endif %}
                                {% for p in page_range|default_if_none:paginator_object.paginator.get_elided_page_range %}
                                    {% if paginator_object.number == p %}
                                        <li class="page-item active">
                                            <span class="page-link">{{ p }}</span>
                                        </li>
                                    {% else %}
                                        <li class="page-item">
                                            {% if not category and not query %}
                                                <a href="?&page={{ p }}"
                                                   class="page-link">
                                                    {{ p }}
                                                </a>
                                            {% elif category %}
                                                <a href="?category={{ category }}&page={{ p }}"
                                                   class="page-link">
                                                    {{ p }}
                                                </a>
                                            {% else %}
                                                <a href="?query={{ query }}&page={{ p }}" class="page-link">
                                                    {{ p }}
                                                </a>
                                            {% endif %}

                                        </li>
                                    {% endif %}
                                {% endfor %}
                                {% if paginator_object.has_next %}
                                    <li class="page-item">
                                        {% if not category and not query %}
                                            <a href="?&page={{ paginator_object.next_page_number }}"
                                               class="page-link">
                                                &raquo;
                                            </a>
                                        {% elif category %}
                                            <a href="?category={{ category }}&page={{ paginator_object.next_page_number }}"
                                               class="page-link">
                                                &raquo;
                                            </a>
                                        {% else %}
                                            <a href="?query={{ query }}&page={{ paginator_object.next_page_number }}"
                                               class="page-link">
                                                &raquo;
                                            </a>
                                        {% endif %}

                                    </li>
                                {% else %}
                                    <li class="page-item disabled">
                                        <span class="page-link">&raquo;</span>
                                    </li>
                                {% endif %}
                            </ul>
                        </nav>
                    {% endif %}
                </div>
                <div class="col-xs-12 col-lg-4">
                    <div class="mb-3">
                        <h6 class="fw-300">Search</h6>
                        <form action="{% url 'backend:search' %}" method="post">
                            {% csrf_token %}
                            <div class="row g-3">
                                <div class="col-9">
                                    <input type="text" class="form-control" name="query" id="query"/>
                                </div>
                                <div class="col-3">
                                    <button type="submit" class="btn btn-primary btn-sm bg-blue p-2">Search</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div>
                        <h6 class="fw-300">Category</h6>
                        <ul class="list-group">
                            <li class="list-group-item d-flex justify-content-between align-items-center"
                                data-category="shark">
                                Sharks <span class="badge bg-success rounded-pill">{{ category_shark }}</span>
                            </li>
                            <li class="list-group-item d-flex justify-content-between align-items-center"
                                data-category="ray">
                                Rays & Skate <span class="badge bg-danger rounded-pill">{{ category_ray }}</span>
                            </li>
                            <li class="list-group-item d-flex justify-content-between align-items-center"
                                data-category="chimaera">
                                Chimaeras <span class="badge bg-purple rounded-pill">{{ category_chimaera }}</span>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}

{% block js %}
    <script type="text/javascript">
        $(document).ready(function () {
            let items = $('.list-group-item');
            items.click(function () {
                let category = $(this).data('category');
                window.location = `/search?category=${category}`;
            })
        })
    </script>
{% endblock %}

